"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNotification = exports.Notification = void 0;
var tslib_1 = require("tslib");
var Notification_1 = require("@reactionable/core/lib/ui/notification/Notification");
var react_1 = tslib_1.__importDefault(require("react"));
var Toast_1 = tslib_1.__importDefault(require("react-bootstrap/Toast"));
function Notification(_a) {
    var onClose = _a.onClose, variant = _a.variant, title = _a.title, children = _a.children, props = tslib_1.__rest(_a, ["onClose", "variant", "title", "children"]);
    return (react_1.default.createElement(Toast_1.default, tslib_1.__assign({ autohide: true, onClose: onClose, style: {
            position: "fixed",
            top: "1vw",
            right: "1vw",
            zIndex: 9999,
        }, className: variant ? "border-" + variant : "" }, props),
        react_1.default.createElement(Toast_1.default.Header, { className: variant ? "text-" + variant : "" },
            react_1.default.createElement("strong", { className: "mr-auto" }, title)),
        react_1.default.createElement(Toast_1.default.Body, null, children)));
}
exports.Notification = Notification;
var useNotification = function (props) {
    return Notification_1.useNotification(tslib_1.__assign(tslib_1.__assign({}, props), { Component: Notification }));
};
exports.useNotification = useNotification;
//# sourceMappingURL=Notification.js.map