import { IAlertProps as IAlertPropsCore } from "@reactionable/core/lib/ui/alert/Alert";
import { IUseAlertResult } from "@reactionable/core/lib/ui/alert/useAlert";
import { ComponentType } from "react";
import { AlertProps } from "react-bootstrap/Alert";
import { IIconProps } from "../icon/icon";
export declare type IAlertProps = IAlertPropsCore & AlertProps & {
    icon?: IIconProps;
};
export declare type AlertComponent = ComponentType<IAlertProps>;
export declare const Alert: AlertComponent;
export declare const useAlert: (props?: IAlertProps | undefined) => IUseAlertResult;
