import { INavItemsProps } from "@reactionable/core/lib/nav/NavItem";
import { INavItemsProviderProps } from "@reactionable/core/lib/nav/NavItemsContextProvider";
import { PropsWithChildren, ReactElement } from "react";
import { INavItemProps } from "../../nav/NavItem";
export declare type ISidebarProps = Partial<INavItemsProviderProps<INavItemsProps<INavItemProps>>>;
export declare function useSidebarContext(): INavItemsProviderProps<INavItemsProps<INavItemProps>>;
export declare function SidebarComponent({ children }: PropsWithChildren<ISidebarProps>): ReactElement;
export declare function Sidebar(props: PropsWithChildren<ISidebarProps>): ReactElement;
