"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NavItems = exports.NavItem = void 0;
var tslib_1 = require("tslib");
var NavItem_1 = require("@reactionable/core/lib/nav/NavItem");
var react_1 = tslib_1.__importDefault(require("react"));
var NavLink_1 = tslib_1.__importDefault(require("react-bootstrap/NavLink"));
var icon_1 = require("../icon/icon");
function NavItem(props) {
    var icon = props.icon, href = props.href, linkProps = tslib_1.__rest(props, ["icon", "href"]);
    if (icon) {
        linkProps.children = (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(icon_1.Icon, tslib_1.__assign({}, icon)),
            " ",
            linkProps.children));
    }
    return (react_1.default.createElement(NavItem_1.NavItem, { href: href },
        react_1.default.createElement(NavLink_1.default, tslib_1.__assign({}, linkProps))));
}
exports.NavItem = NavItem;
function NavItems(props) {
    return react_1.default.createElement(NavItem_1.NavItems, tslib_1.__assign({ Component: NavItem }, props));
}
exports.NavItems = NavItems;
//# sourceMappingURL=NavItem.js.map