"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSuccessNotification = exports.SuccessNotification = void 0;
var tslib_1 = require("tslib");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var SuccessNotification_1 = require("@reactionable/core/lib/ui/notification/SuccessNotification");
var react_1 = tslib_1.__importDefault(require("react"));
var Alert_1 = require("../alert/Alert");
var Notification_1 = require("./Notification");
var SuccessNotification = function (_a) {
    var children = _a.children, props = tslib_1.__rest(_a, ["children"]);
    var variant = "success";
    return (react_1.default.createElement(Notification_1.Notification, tslib_1.__assign({ variant: variant }, props),
        react_1.default.createElement(Alert_1.Alert, { variant: variant, icon: { icon: free_solid_svg_icons_1.faCheckCircle }, className: "mb-0" }, children)));
};
exports.SuccessNotification = SuccessNotification;
var useSuccessNotification = function (props) {
    return SuccessNotification_1.useSuccessNotification(tslib_1.__assign(tslib_1.__assign({}, props), { Component: exports.SuccessNotification }));
};
exports.useSuccessNotification = useSuccessNotification;
//# sourceMappingURL=SuccessNotification.js.map